Skip to main content
GET
/
vault
/
identities
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/vault/identities \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "orgId": "<string>",
      "vaultUserId": "<string>",
      "vaultOrgId": "<string>",
      "collectionId": "<string>",
      "credentialCount": 1,
      "lastSyncAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "agentName": "<string>",
      "agentSlug": "<string>"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum number of items to return per page (1–100, default 20)

Required range: 1 <= x <= 100
status
enum<string>

Filter vault identities by status

Available options:
ACTIVE,
LOCKED,
ERROR

Response

200 - application/json

OK

Paginated list of vault identities for an organization

items
object[]
required

List of vault identities with agent information

pagination
object
required

Cursor-based pagination metadata